import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _AVRouteDetector extends _NSObject {
    static alloc(): _AVRouteDetector;
    static new(): _AVRouteDetector;
    init(): _AVRouteDetector;
    /**
     * @property routeDetectionEnabled @abstract Whether or not route detection is enabled. The default value is NO. @discussion Route detection significantly increases power consumption and must be turned off when it's no longer needed.
     */
    routeDetectionEnabled(): boolean;
    setRouteDetectionEnabled$(value: boolean): void;
    /**
     * @property multipleRoutesDetected @abstract This property is YES if, in addition to the local playback route, at least one more playback route has been detected. @discussion If multiple route have been detected, AVKit's AVRoutePickerView can be used to allow users to pick from the set of available routes. When the values of this property changes AVRouteDetectorMultipleRoutesDetectedDidChangeNotification is posted.
     */
    multipleRoutesDetected(): boolean;
    /**
     * @property detectsCustomRoutes @abstract Whether or not route detection will include custom routes. The default value is NO. @discussion Only set this to YES if also using AVCustomRoutingController.
     */
    detectsCustomRoutes(): boolean;
    setDetectsCustomRoutes$(value: boolean): void;
}
